package de.palmmedia.yahtzee.game.elements;

import de.palmmedia.yahtzee.game.Dice;

/**
 * Element where all dices are equal.
 * @author Daniel Palme
 *
 */
public class Yahtzee extends OneKind {

	/**
	 * Constructor.
	 * @param name The name.
	 */
	public Yahtzee(String name){
		super(name, 5);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	protected int calculateResult(Dice[] dices) {
		return 50;
	}
}
