package de.palmmedia.android;

/**
 * Used for receiving notifications from the {@link ShakeDetector} when shakes are detected. 
 * @author Daniel Palme
 *
 */
public interface ShakeEventListener {
	
	/**
	 * Executed when a shake is detected.
	 */
	public void onShake();
}
