package de.palmmedia.yahtzee.game.elements;

import de.palmmedia.yahtzee.game.Dice;

/**
 * {@link Straight} with 5 dices in a row.
 * @author Daniel Palme
 *
 */
public class LargeStraight extends Straight {
	
	/**
	 * Constructor.
	 * @param name The name.
	 */
	public LargeStraight(String name){
		super(name, 5);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	protected int calculateResult(Dice[] dices) {
		return 40;
	}
}
