package de.palmmedia.yahtzee.game.elements;

import de.palmmedia.yahtzee.game.Dice;

/**
 * {@link Straight} with 4 dices in a row.
 * @author Daniel Palme
 *
 */
public class SmallStraight extends Straight {
	
	/**
	 * Constructor.
	 * @param name The name.
	 */
	public SmallStraight(String name){
		super(name, 4);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	protected int calculateResult(Dice[] dices) {
		return 30;
	}
}
